package org.springblade.system.expand.feign;

import org.springblade.system.expand.entity.TenantType;
import org.springblade.system.expand.vo.TenantTypeVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class TenantTypeClientFallback implements ITenantTypeClient {
            /**
         * 详情
         */
        @Override
        public TenantTypeVO detail(TenantType tenantType) {
            return null;
        }

        /**
         * 查询 
         */
        @Override
        public List<TenantTypeVO> list(TenantType tenantType) {
            return null;
        }

    

        /**
         * 新增 
         */
        @Override
        public boolean save( TenantType tenantType) {
            return false;
        }

        /**
         * 修改 
         */
        @Override
        public boolean update( TenantType tenantType) {
            return false;
        }

        /**
         * 新增或修改 
         */
        @Override
        public boolean submit( TenantType tenantType) {
            return false;
        }

    
        /**
         * 删除 
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
